- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# nxos_lag_interfaces – Manages link aggregation groups of NX-OS Interfaces

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module manages attributes of link aggregation groups of NX-OS Interfaces.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config list |  | A list of link aggregation group configurations.
| members list |  | The list of interfaces that are part of the group.
|  | force boolean | Choices: no yes | When true it forces link aggregation group members to match what is declared in the members param. This can be used to remove members.
|  | member string |  | The interface name.
|  | mode string | Choices: active yes passive | Link aggregation group (LAG).
| name string / required |  | Name of the link aggregation group (LAG).
state string | Choices: merged ← replaced overridden deleted | The state of the configuration after module completion.

## Notes

Note

- Tested against NXOS 7.3.(0)D1(1) on VIRL.
- This module works with connection `network_cli`.

## Examples

    # Using merged

    # Before state:
    # -------------
    #
    # interface Ethernet1/4

    - name: Merge provided configuration with device configuration.
      nxos_lag_interfaces:
        config:
          - name: port-channel99
            members:
              - member: Ethernet1/4
        state: merged

    # After state:
    # ------------
    #
    # interface Ethernet1/4
    #   channel-group 99

    # Using replaced

    # Before state:
    # -------------
    #
    # interface Ethernet1/4
    #   channel-group 99 mode active

    - name: Replace device configuration of specified LAG attributes of given interfaces with provided configuration.
      nxos_lag_interfaces:
        config:
          - name: port-channel10
            members:
              - member: Ethernet1/4
        state: replaced

    # After state:
    # ------------
    #
    # interface Ethernet1/4
    #   channel-group 10

    # Using overridden

    # Before state:
    # -------------
    #
    # interface Ethernet1/4
    #   channel-group 10
    # interface Ethernet1/2
    #   channel-group 99 mode passive

    - name: Override device configuration of all LAG attributes of given interfaces on device with provided configuration.
      nxos_lag_interfaces:
        config:
          - name: port-channel20
            members:
              - member: Ethernet1/6
                force: True
        state: overridden

    # After state:
    # ------------
    # interface Ethernet1/2
    # interface Ethernet1/4
    # interface Ethernet1/6
    #   channel-group 20 force

    # Using deleted

    # Before state:
    # -------------
    #
    # interface Ethernet1/4
    #   channel-group 99 mode active

    - name: Delete LAG attributes of given interface (This won't delete the port-channel itself).
      nxos_lag_interfaces:
        config:
          - port-channel: port-channel99
        state: deleted

    - name: Delete LAG attributes of all the interfaces
      nxos_lag_interfaces:
        state: deleted

    # After state:
    # ------------
    #
    # interface Ethernet1/4
    #   no channel-group 99

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after list | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before list | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['command 1', 'command 2', 'command 3']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Trishna Guha (@trishnaguha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.